Retrieves all the article status list

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

article_status_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
article_status_id

Foreign key of the article_status

globally unique identifier

Required

article_id

Foreign key of article

globally unique identifier

Optionally required : article_id, article_code or article must be provided

article_code

Embedded entity "article" using ERP PK when adding/updating

string

Optionally required : article_id, article_code or article must be provided

article

Embedded entity "article" when adding/updating

article

Optionally required : article_id, article_code or article must be provided

sales_organization_id

globally unique identifier

Required

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "835e3403-1f44-4f8b-9728-2249344f4306",
  "article_status_id": "e32eee35-97cf-4d3b-92da-d7b46a1c9952",
  "article_id": "ae08cf26-2469-4099-b594-f19349bb43fe",
  "article_code": "sample string 4",
  "sales_organization_id": "bf590aba-05f1-4b9a-8c3c-9c72837ba069",
  "modified_dateutc": "2026-11-05T00:32:55.1471376+00:00"
}